import 'package:account/src/core/providers/account_repository_provider.dart';
import 'package:account/src/features/linked_devices/domain/get_linked_devices_use_case.dart';
import 'package:account/src/features/linked_devices/domain/get_linked_devices_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final getLinkedDevicesUseCaseProvider = Provider.autoDispose<GetLinkedDevicesUseCase>((ref) {
  final accountRepository = ref.read(accountRepositoryProvider);
  return GetLinkedDevicesUseCaseImpl(accountRepository);
});
